As a user I would like to receive proxy log data: proxy initialization, proxy loading errors, plugin

initialization, plugin initialization errors
Description

When #12714 and #12715 are complete, we will have more information from the proxy. As a user, I would like to consume this data

via the API.

#12715 adds a stream of events from the proxy: which plugins were loaded, with which settings. And more important, if they failed

loading why have they failed loading.

Related issues:

Related to Smart Proxy - Bug #13600: Templates module not marked as failed wh... Closed 02/08/2016

Blocks Foreman - Tracker #12507: Smart Proxy UX improvments New 11/17/2015

Associated revisions

Revision 33d9f9ee - 02/03/2016 08:35 AM - Lukas Zapletal

Fixes #12718 - smart proxy log table

This patch adds a table with logs fetched from Smart Proxy /logs new API. It

returns latest N log entries from a simple memory buffer. The table supports

filtering by level, custom filtering and it introduces several overview

status cards with error/warning counts, failed modules list with latest

known error messages.

Revision 4fd9aebe - 02/19/2016 09:19 AM - Dominic Cleal

refs #12718 - change capitalisation, extract more strings

Capitalisation now matches the other rows on the same page.

Revision f1cd1ba3 - 02/24/2016 12:32 PM - Dominic Cleal

refs #12718 - change capitalisation, extract more strings

Capitalisation now matches the other rows on the same page.

(cherry picked from commit 4fd9aebea3efde8cd0ec272d173f3b4ecc25e51e)

History

#1 - 12/07/2015 04:00 AM - Shlomi Zadok

- Blocked by Tracker #12507: Smart Proxy UX improvments added

#2 - 12/14/2015 02:52 AM - Shlomi Zadok

- Blocked by deleted (Tracker #12507: Smart Proxy UX improvments)

#3 - 12/14/2015 02:52 AM - Shlomi Zadok
- Blocked by Tracker #12507: Smart Proxy UX improvments added

#4 - 12/14/2015 02:52 AM - Shlomi Zadok

- Blocked by deleted (Tracker #12507: Smart Proxy UX improvments)

#5 - 12/14/2015 02:53 AM - Shlomi Zadok

- Blocks Tracker #12507: Smart Proxy UX improvments added

#6 - 01/11/2016 09:26 AM - Shlomi Zadok

- Description updated

#7 - 01/12/2016 07:50 AM - Lukas Zapletal

- Assignee set to Lukas Zapletal

Ok taking, I am going to create the UI for

https://github.com/witlessbird/smart-proxy/blob/events/modules/root/root_api.rb#L32-L46

as another tab in the smart-proxy show page, if I read this correctly. Correct me if this is wrong.

#8 - 01/13/2016 06:29 AM - Shlomi Zadok

The purpose of this feature is to display how the proxy and its plugins have loaded (or if they didn't load, why).

The UI should display data from <proxy>/events/logs and highlight errors

#9 - 01/13/2016 06:31 AM - Lukas Zapletal

Thanks, so I am going to create a table of events with some filtering (errors only, warnings, per-module).

#10 - 01/13/2016 08:07 AM - Shlomi Zadok

- Subject changed from As a user I would like to consume the additional Proxy information via the API to As a user I would like to receive proxy log

data: proxy initialization, proxy loading errors, plugin initialization, plugin initialization errors

#11 - 01/19/2016 06:34 AM - Lukas Zapletal

Ok I am working on this one right now.

#12 - 01/20/2016 04:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3098 added

#13 - 02/03/2016 09:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 33d9f9eeec63da0322b7d318077c2a7e58ffff11.

#14 - 02/08/2016 04:33 AM - Dominic Cleal

- Category set to Smart Proxy

- translation missing: en.field_release set to 71

#15 - 02/08/2016 08:06 AM - Ohad Levy

- Related to Bug #13600: Templates module not marked as failed when foreman_url is missing added

#16 - 02/19/2016 05:08 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3209 added
